QGIS Application - Feature request #16840
Add 16-bit support to Qlmage via python and the Ul
2017-07-10 09:15 PM - Carl Gnarly

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 24739
Description

16-bit support would be useful to be able to use height-map images in other applications outside of just printing maps. displacement in CG
or simulation applications for instance. 8-bit images don't offer nearly enough dynamic range to be able to be further utilized outside basic
illustrations or printing.

Currently it is impossible to render and export 16-bit images from Qgis without using the gdal library which makes other Qgis functionality
useless. Scripts that export using Qgis libraries have to be rewritten when exporting with gdal, which forces the user to do more than
double the work (not considering the research of a whole other library).

History

#1 - 2017-07-26 02:09 AM - Nyall Dawson
- Assignee deleted (Victor Olaya)
- Category deleted (Processing/QGIS)

#2 - 2017-09-22 09:53 AM - Jiirgen Fischer
- Category set to Unknown
